Bug 1120560 - [Doc Bug Fix] Remove -Djboss.modules.policy-permissions=true property from Security Manager examples
Summary: [Doc Bug Fix] Remove -Djboss.modules.policy-permissions=true property from Se...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Scott Mumford
QA Contact: Ondrej Lukas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 07:19 UTC by Ondrej Lukas
Modified: 2015-07-07 05:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22508, Administration and Configuration Guide-6.3-1 Build Date: 16-07-2014 08:04:06 Topic ID: 4779-633185 [Specified]
Last Closed: 2015-07-07 05:59:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Ondrej Lukas 2014-07-17 07:19:36 UTC
Since EAP 6.3.0.ER6 property -Djboss.modules.policy-permissions=true has been added to standalone.conf, standalone.conf.bat, domain.conf and domain.conf.bat. For that reason setting of this property should be removed from Example 11.32. domain.conf, Example 11.33. domain.conf.bat, Example 11.34. standalone.conf and Example 11.35. standalone.conf.bat in chapter 11.11. Java Security Manager. Instead of setting this property add a note that customers only need to check that this property is set in used standalone.conf, standalone.conf.bat, domain.conf or domain.conf.bat before setting security manager in mentioned above examples.

Comment 1 Scott Mumford 2015-07-06 23:46:06 UTC
Ondrej

A search for "-Djboss.modules.policy-permissions=true" in the html-single version of the Admin and Config Guide [1] returns no results.

There are two or three instances of "-Djboss.modules.policy-permissions \" in start-up and shut down samples. 

Does anything still need to happen with this issue?

1: http://docbuilder.usersys.redhat.com/23087/

Comment 2 Ondrej Lukas 2015-07-07 05:24:23 UTC
Documentation has been changed since this BZ was reported. Currently this issue does not occur in documentation. I recommend close this issue as CANTFIX.

Comment 3 Scott Mumford 2015-07-07 05:59:45 UTC
Awesome. Thanks Ondrej


Note You need to log in before you can comment on or make changes to this bug.